Skip to main content
PATCH
/
waap
/
v1
/
custom-page-sets
/
{set_id}
Update a custom page set
curl --request PATCH \
  --url https://api.gcore.com/waap/v1/custom-page-sets/{set_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domains": [
    123
  ],
  "block": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>",
    "text": "<string>"
  },
  "block_csrf": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>",
    "text": "<string>"
  },
  "captcha": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>",
    "text": "<string>",
    "error": "<string>"
  },
  "cookie_disabled": {
    "enabled": true,
    "header": "<string>",
    "text": "<string>"
  },
  "handshake": {
    "enabled": true,
    "logo": "<string>",
    "header": "<string>",
    "title": "<string>"
  },
  "javascript_disabled": {
    "enabled": true,
    "header": "<string>",
    "text": "<string>"
  },
  "name": "<string>"
}
'
{
  "type": "http-bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "Invalid domain name: ''''"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

set_id
integer
required

The ID of the custom page set

Body

application/json

Update a custom page set

domains
integer[] | null

List of domain IDs that are associated with this page set

The domain ID

block
BlockPageData · object
block_csrf
BlockCsrfPageData · object
captcha
CaptchaPageData · object
handshake
HandshakePageData · object
javascript_disabled
JavascriptDisabledPageData · object
name
string | null

Name of the custom page set

Required string length: 1 - 50

Response

Successful Response